@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:wght@300;400;500;600;700&display=swap");

:root {
  --base: #000;
  --primary: #0704e1;
  --white: #fff;
  --gray: #888;
  --light-gray: #aaa;
  --lighter-gray: #ddd;
  --dark-gray: #666;
  --darker-gray: #333;

  --text-xs: 12px;
  --text-sm: 13px;
  --text-base: 15px;
  --text-lg: 18px;
  --text-xl: 20px;
  --text-2xl: 24px;
  --text-3xl: 28px;
  --text-4xl: 32px;

  --gap-min: 10px;
  --gap-base: 20px;
  --gap-max: 40px;
}

body {
  position: relative;
  font-family: "Noto Sans", sans-serif !important;
  font-size: 15px;
  color: #000;
  margin: 0 !important;
  padding: 0 !important;
}

a {
  color: #0704e1;
  text-decoration: none;
}

a:hover {
  color: #000;
}

a > span {
  color: #000;
  text-decoration: none;
}

a > span:hover {
  color: #0704e1;
}

::-webkit-input-placeholder {
  font-size: var(--text-sm);
  font-weight: 400;
  color: var(--light-gray);
  font-family: "Noto Sans", sans-serif;
  letter-spacing: 0.5px;
}
:-moz-placeholder {
  /* Firefox 18- */
  font-size: var(--text-sm);
  font-weight: 400;
  color: var(--light-gray);
  font-family: "Noto Sans", sans-serif;
  letter-spacing: 0.5px;
}
::-moz-placeholder {
  /* Firefox 19+ */
  font-size: var(--text-sm);
  font-weight: 400;
  color: var(--light-gray);
  font-family: "Noto Sans", sans-serif;
  letter-spacing: 0.5px;
}

:-ms-input-placeholder {
  /* IE 10+, older Edge*/
  font-size: var(--text-sm);
  font-weight: 400;
  color: var(--light-gray);
  font-family: "Noto Sans", sans-serif;
  letter-spacing: 0.5px;
}

input {
  font-family: "Noto Sans", sans-serif;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
input:focus {
  outline-offset: 0 !important;
}

input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px #fff inset;
  -webkit-text-fill-color: #0704e1 !important;
}

select::-webkit-input-placeholder {
  color: #666;
  font-size: 15px;
  background-color: transparent;
}

select:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 1000px #fff inset;
}

input[type="submit"],
.input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

form {
  margin: 0 !important;
}

input[type="text"] {
  outline: none;
}

button,
input[type="button"],
input[type="submit"] {
  font-family: "Noto Sans", sans-serif;
  outline: none;
}

button.btn,
.btn {
  font-family: "Noto Sans", sans-serif !important;
}

.content-max {
  width: 70%;
}

.content-min {
  width: 30%;
}

.w-req {
  width: 1100px;
}

.btn.btn-primary {
  background: #0704e1;
  color: #fff;
  border: 1px solid #0704e1;
  font-family: "Noto Sans", sans-serif !important;
}
.btn.btn-primary:hover {
  background: #0503b4;
  cursor: pointer;
}

.btn.btn-secondary {
  background: #333;
  color: #f3f4f6;
  border: 1px solid #333;
  font-family: "Noto Sans", sans-serif !important;
}
.btn.btn-secondary:hover {
  background: #fff;
  color: #000;
}

.btn.btn-outline {
  background: transparent;
  color: #0704e1;
  border: 1px solid #0704e1;
  font-family: "Noto Sans", sans-serif !important;
}
.btn.btn-outline:hover {
  background: #fff;
}

.btn.btn-dark {
  background: #000;
  color: fff#0704e1;
  border: 1px solid #000;
  font-family: "Noto Sans", sans-serif !important;
}
.btn.btn-dark:hover {
  background: #333;
  border: 1px solid #333;
}

.color-base {
  color: var(--base);
}
.color-primary {
  color: var(--primary);
}
.color-white {
  color: var(--white);
}
.color-gray {
  color: var(--gray);
}
.color-light-gray {
  color: var(--light-gray);
}
.color-lighter-gray {
  color: var(--lighter-gray);
}
.color-dark-gray {
  color: var(--dark-gray);
}
.color-darker-gray {
  color: var(--darker-gray);
}

.bg-header {
  background: #f8f8f8;
}
.bg-base {
  background: #fff;
}
.bg-black {
  background: #000;
}

.border-base {
  border: 1px solid #eee;
}
.border-gray {
  border: 1px solid #aaa;
}
.border-dark {
  border: 1px solid #666;
}

.shadow-base {
  box-shadow: 0 0 10px #ddd;
}

.text-xs {
  font-size: var(--text-xs);
}
.text-sm {
  font-size: var(--text-sm);
}
.text-base {
  font-size: var(--text-base);
}
.text-lg {
  font-size: var(--text-lg);
}
.text-xl {
  font-size: var(--text-xl);
}
.text-2xl {
  font-size: var(--text-2xl);
}
.text-3xl {
  font-size: var(--text-3xl);
}
.text-4xl {
  font-size: var(--text-4xl);
}

.gap-base {
  gap: var(--gap-base);
}
.gap-min {
  gap: var(--gap-min);
}
.gap-max {
  gap: var(--gap-max);
}

h1 {
  font-size: 24px;
}

h1.company-name {
  font-size: 18px;
}

h2 {
  font-size: 20px;
}

h2.title {
  font-size: 18px;
}

h3 {
  font-size: 18px;
}
.rounded-min {
  border-radius: 3px !important;
}
.rounded-base {
  border-radius: 10px !important;
}
.rounded-lg {
  border-radius: 15px !important;
}
.rounded-xl {
  border-radius: 50% !important;
}

.img-cover {
  object-fit: cover;
}
.img-contain {
  object-fit: contain;
}

.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
